IndexColumn (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class IndexColumn

    java.lang.Object
      org.hibernate.cfg.Ejb3Column
          org.hibernate.cfg.IndexColumn

    public class IndexColumn

extends Ejb3Column

index column

Field Summary

Fields inherited from class org.hibernate.cfg.Ejb3Column
`DEFAULT_COLUMN_LENGTH, joins, propertyHolder, sqlType`

Constructor Summary
`IndexColumn(boolean isImplicit, String sqlType, int length, int precision, int scale, String name, boolean nullable, boolean unique, boolean insertable, boolean updatable, String secondaryTableName, Map<String,Join> joins, PropertyHolder propertyHolder, Mappings mappings)`

Method Summary
`static IndexColumn` | `buildColumnFromAnnotation(IndexColumn ann, PropertyHolder propertyHolder, PropertyData inferredData, Mappings mappings)`
`static IndexColumn` | `buildColumnFromAnnotation(OrderColumn ann, PropertyHolder propertyHolder, PropertyData inferredData, Map<String,Join> secondaryTables, Mappings mappings)`
`int` | `getBase()`
`void` | `setBase(int base)`

Methods inherited from class org.hibernate.cfg.Ejb3Column
`addColumnBinding, addIndex, bind, buildColumnFromAnnotation, buildColumnFromAnnotation, checkPropertyConsistency, forceNotNull, getFormulaString, getJoin, getLength, getLogicalColumnName, getMappingColumn, getMappings, getName, getPrecision, getPropertyHolder, getPropertyName, getScale, getSecondaryTableName, getSqlType, getTable, initMappingColumn, isFormula, isImplicit, isInsertable, isNameDeferred, isNullable, isSecondary, isUnique, isUpdatable, linkWithValue, redefineColumnName, setFormula, setImplicit, setInsertable, setJoins, setLength, setLogicalColumnName, setMappingColumn, setMappings, setNullable, setPrecision, setPropertyHolder, setPropertyName, setScale, setSecondaryTableName, setSqlType, setTable, setUnique, setUpdatable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexColumn

    public IndexColumn(boolean isImplicit,
                       String sqlType,
                       int length,
                       int precision,
                       int scale,
                       String name,
                       boolean nullable,
                       boolean unique,
                       boolean insertable,
                       boolean updatable,
                       String secondaryTableName,
                       Map<String,Join> joins,
                       PropertyHolder propertyHolder,
                       Mappings mappings)

Method Detail

### getBase

    public int getBase()

### setBase

    public void setBase(int base)

### buildColumnFromAnnotation

    public static IndexColumn buildColumnFromAnnotation(OrderColumn ann,
                                                        PropertyHolder propertyHolder,
                                                        PropertyData inferredData,
                                                        Map<String,Join> secondaryTables,
                                                        Mappings mappings)

### buildColumnFromAnnotation

    public static IndexColumn buildColumnFromAnnotation(IndexColumn ann,
                                                        PropertyHolder propertyHolder,
                                                        PropertyData inferredData,
                                                        Mappings mappings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.